php upgrade

    • OMV 3.x
    • Update
    • php upgrade

      Hallo,ich habe momentan PHP 5.6.40-0+deb8u7 zu laufen.
      Wie kann ich nach php 7.2 upgraden?
      mein System s.u.

      Danke,
      Helmut

      ================================================================================
      = OS/Debian information
      ================================================================================
      Distributor ID: debian
      Description: Debian GNU/Linux 8 (jessie)
      Release: 8.11
      Codename: jessie


      ================================================================================
      = openmediavault information
      ================================================================================
      Release: 3.0.99
      Codename: Erasmus
      _
      Meine Daten liegen auf dem bananaPi mit 500GB Sata Platte, OMV 3.0.99 Erasmus)
    • OMV4 läuft bei mir auf einem BananaPi mit dem Image von hier:
      sourceforge.net/projects/openm…ngle%20Board%20Computers/
      Sogar mit Docker ;)

      Du kannst aber auch mit omv-release-upgrade upgraden. Dauert auf dem BPi halt entsprechend. Vorher prüfen, ob alle Plugins, die du installiert hast, auch für OMV4 verfügbar sind.

      OMV5 kannst du nur installieren, wenn du ein Armbian image für Debian 10 / Buster findest. Dann kannst du OMV darauf ergänzen.
      Odroid HC2 - armbian - OMV4.x | Asrock Q1900DC-ITX - Intenso SSD 120GB - OMV4.x
      :!: Backup - Solutions to common problems - OMV setup videos - OMV4 Documentation - user guide :!:
    • Danke macom, ich versuche es mal mit dem release-upgrade.
      Som der erste Versuch hat nicht geklappt, es wurden Paketquellen nicht gefunden.
      Jetzt bietet er mir 411 Pakete zum installieren an, soll ich die installieren?

      So, das upgrade hat geklappt (fast). Ich kann noch nicht auf die shares zugreifen.
      aktelle Version ist:
      = OS/Debian information
      ================================================================================
      No LSB modules are available.
      Distributor ID: Debian
      Description: Debian GNU/Linux 9.11 (stretch)
      Release: 9.11
      Codename: stretch


      ================================================================================
      = openmediavault information
      ================================================================================
      Release: 4.1.26-1
      Codename: Arrakis
      PHP 7.0.33-0+deb9u6

      wenn ich smb einschalte, kommt folgende Fehlereldung:
      Failed to execute command 'export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin; export LANG=C.UTF-8; systemctl start 'nmbd' 2>&1' with exit code '1': Job for nmbd.service failed because the control process exited with error code.See "systemctl status nmbd.service" and "journalctl -xe" for details.


      mach jetzt erst mal ein backup ^^
      _
      Meine Daten liegen auf dem bananaPi mit 500GB Sata Platte, OMV 3.0.99 Erasmus)

      The post was edited 1 time, last by Bergpaul ().